
	function wpsg_box_toggle(jq_head, vis)
	{

		if (vis !== null && vis === true)
		{

			if (vis === true)
			{

				jq_head.next().show();
				jq_head.find('.wpsg_toggle').text(wpsg_ajax.wpsg_zu);
				return;
				
			}
			
		}
		
		jq_head.next().toggle();

		if (jq_head.next().is(":visible"))
		{

			jq_head.find('.wpsg_toggle').text(wpsg_ajax.wpsg_zu);
			
		}
		else
		{

			jq_head.find('.wpsg_toggle').text(wpsg_ajax.wpsg_auf);
			
		}
		
	} // function wpsg_box_toggle(el_head)

	/**
	 * Funktion für das Modul basketteaser
	 * Fügt die Produkte im Warenkorb ein
	 */
	function wpsg_mod_basketteaser_add(produkt_id)
	{
		
		var menge = jQuery('.wpsg_mod_basketteaser_row_' + produkt_id + ' input').val();
		
		if (menge <= 0) menge = 1;
		
		location.href = wpsg_ajax.ajaxurl + '?wpsg[menge]=' + menge + '&wpsg[produkt_id]=' + produkt_id + '&wpsg[submit]=1';
		
		return false;
		
	} // wpsg_mod_basketteaser_add(produkt_id)

	wpsg_numberformat = function (number, decimals, dec_point, thousands_sep) 
	{
    
		var n = !isFinite(+number) ? 0 : +number, 
        prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
        sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,        dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
        s = '',
        
        toFixedFix = function (n, prec) 
        {
        	
            	var k = Math.pow(10, prec);
            	return '' + Math.round(n * k) / k;        
        };
        
        s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
    
        if (s[0].length > 3) 
        {
        	s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);    
        }
        if ((s[1] || '').length < prec) 
        {
        	
        	s[1] = s[1] || '';
        	s[1] += new Array(prec - s[1].length + 1).join('0');
    
        }    
        
        return s.join(dec);
	 
	};

	wpsg_tf = function(value)
	{
	 
		if (value == null) return;
		if (typeof value == "number") return parseFloat(value);
	  	  
		if (value.lastIndexOf(".") == -1)
		{

			// 1500,50		  
			return parseFloat(value.replace(/,/, "."));		  
	  
		}
		else
		{
		
			if (value.lastIndexOf(",") == -1)
			{	
				 
				// 1500.50
				return parseFloat(value);
		  
			}		  
			else 
			{
			
				if (value.lastIndexOf(",") > value.lastIndexOf("."))
				{  
				
					// 1.500,50				  
					return parseFloat(value.replace(/\./, "").replace(/,/, "."));
			  
				}
				else
				{
					
					// 1,500.50
					return parseFloat(value.replace(/,/, ""));
			  
				}
		  
			}
			
		}
	  
	};